Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.aggregator
Class PolicyPerformanceGroupAnalyzer

    java.lang.Object
      lbg.simulator.tools.aggregator.PolicyPerformanceGroupAnalyzer

    public class PolicyPerformanceGroupAnalyzer

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`PolicyPerformanceGroupAnalyzer(java.lang.String pdp_label, java.lang.String[] ranked_policies, java.lang.Float[] ranked_mbrt)` Constructs a new PolicyPerformanceGroupAnalyzer.
`PolicyPerformanceGroupAnalyzer(java.lang.String pdp_label, java.lang.String[] ranked_policies, java.lang.Float[] ranked_mbrt, float... best_row_analysis_ratios)` Constructs a new PolicyPerformanceGroupAnalyzer.

Method Summary
`void` | `analyze()`
`java.lang.String` | `outputAsCSV()`
`java.lang.String` | `outputAsCSVSummary()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyPerformanceGroupAnalyzer

    public PolicyPerformanceGroupAnalyzer(java.lang.String pdp_label,
                                          java.lang.String[] ranked_policies,
                                          java.lang.Float[] ranked_mbrt)
                                   throws GridException

  Constructs a new PolicyPerformanceGroupAnalyzer.

  Throws:
    `GridException`

### PolicyPerformanceGroupAnalyzer

    public PolicyPerformanceGroupAnalyzer(java.lang.String pdp_label,
                                          java.lang.String[] ranked_policies,
                                          java.lang.Float[] ranked_mbrt,
                                          float... best_row_analysis_ratios)
                                   throws GridException

  Constructs a new PolicyPerformanceGroupAnalyzer.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### outputAsCSV

    public java.lang.String outputAsCSV()
                                 throws GridException

  Throws:
    `GridException`

### outputAsCSVSummary

    public java.lang.String outputAsCSVSummary()
                                        throws GridException

  Throws:
    `GridException`

### analyze

    public void analyze()
                 throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.